Package org.optaplanner.core.impl.score.stream.bavet.common

## Class BavetAbstractTuple

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

- All Implemented Interfaces:
    `BavetTuple`
  Direct Known Subclasses:
    `BavetAbstractBiTuple`, `BavetAbstractTriTuple`, `BavetAbstractUniTuple`

      public abstract class BavetAbstractTuple
      extends Object
      implements BavetTuple

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BavetTupleState` | `state` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetAbstractTuple()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getNodeOrder()` |
    `BavetTupleState` | `getState()` |
    `boolean` | `isActive()` |
    `boolean` | `isDirty()` |
    `abstract void` | `refresh()` |
    `void` | `refreshed()` |
    `void` | `setState​(BavetTupleState state)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFacts, getFactsString, getNode`

- - ### Field Detail

    - #### state

          protected BavetTupleState state

  - ### Constructor Detail

    - #### BavetAbstractTuple

          public BavetAbstractTuple()

  - ### Method Detail

    - #### refresh

          public abstract void refresh()

    - #### isDirty

          public boolean isDirty()

    - #### isActive

          public boolean isActive()

    - #### refreshed

          public void refreshed()

    - #### getNodeOrder

          public int getNodeOrder()

    - #### getState

          public BavetTupleState getState()

    - #### setState

          public void setState​(BavetTupleState state)